<form style="max-width: 600px; min-width: 500px" class="m-auto" action="" method="">
  <h1 class="mb-4">Freight Calculator</h1>
  <class class="border border-1 rounded border-secondary p-2 d-flex flex-column justify-content-center">
    <div id="error" class="text-bg-danger rounded mb-4 d-none"></div>

    <select style="max-width: 100%;" class="mb-4" name="itemSelect" id="itemSelect">
      <option value="0">Select Item</option>
    </select>

    <div id="item_details_container" class="container d-none mt-4 border border-primary-subtle rounded">
      <div class="input-group mb-4 mt-2">
        <span class="input-group-text bg-primary-subtle">Invoice Value</span>
        <input type="number" class="form-control" id="invoice_value" name="invoice_value" step="0.01" required />
      </div>

      <div class="input-group mb-4">
        <label class="input-group-text bg-primary-subtle" for="stated_weight">Stated Weight</label>
        <input type="number" class="form-control" id="stated_weight" name="stated_weight" step="0.01" required />
      </div>

      <div class="input-group">
        <span class="input-group-text bg-success-subtle">Exchange Rate $</span>
        <input type="number" class="form-control" id="exchange_rate" name="exchange_rate" step="0.01" required />
        <button class="btn btn-outline-secondary" id="exchange_rate_btn" onclick="getExchangeRate()" type="button">Get
          USD
          rate</button>
      </div>
      <div class="row">
        <div class="input-group mb-2 mt-4 col">
          <span class="input-group-text bg-warning-subtle">BCD %</span>
          <span class="form-control" id="item_bcd"></span>
        </div>

        <div class="input-group mb-2 mt-4 col">
          <span class="input-group-text bg-warning-subtle">IGST %</span>
          <span class="form-control" id="item_igst"></span>
        </div>
      </div>
      <div class="container text-center">
        <div class="row-4 my-3">
          <div class="col">
            <label class="input-group-label mb-2" for="dimension_weight_fields">Package Dimensions (in cms):</label>
            <div class="row hstack gap-1" id="dimension_weight_fields">
              <div class="col input-group">
                <label class="input-group-text bg-primary-subtle">H</label>
                <input class="form-control" type="number" id="height" name="height" step="0.01" required />
              </div>
              x
              <div class="col input-group">
                <label class="input-group-text bg-primary-subtle">W</label>
                <input class="form-control" type="number" id="width" name="width" step="0.01" required />
              </div>
              x
              <div class="col input-group">
                <label class="input-group-text bg-primary-subtle">L</label>
                <input class="form-control" type="number" id="length" name="length" step="0.01" required />
              </div>
            </div>
          </div>
          <div class="col">
            <div class="input-group justify-content-center">
              <button class="btn btn-primary m-2" id="calculate_dimension_weight" onclick="getDimensionValue()"
                type="button">Calculate Dimension
                Weight</button>
            </div>
          </div>
          <div id="dimension_weight_wrapper" class="col">
            <div class="row-2">
              <div class="input-group d-none">
                <span class="input-group-text bg-warning-subtle">Dimension Weight:</span>
                <span class="form-control" id="dimension_weight"></span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="input-group mb-4 justify-content-center">
      <button id="btn_calculateTotalCost" class="input-group-button btn btn-success m-2 d-none"
        onclick="calculateTotalCost()" type="button">Calculate
        Total Cost</button>
    </div>
</form>

<div class="d-none border rounded border-success-subtle p-2" id="result_div">

  <div class="input-group mb-4">
    <span class="input-group-text bg-warning-subtle">Actual Weight</span>
    <span class="form-control" id="actual_weight"></span>
  </div>

  <!-- <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle">C1</span>
        <span class="form-control" id="c1"></span>
      </div>
      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle">C2</span>
        <span class="form-control" id="c2"></span>
      </div>
 -->
  <div class="input-group mb-4">
    <span class="input-group-text bg-warning-subtle">Freight</span>
    <span class="form-control" id="freight"></span>
  </div>

  <div class="input-group mb-4">
    <span class="input-group-text bg-warning-subtle">Insurance</span>
    <span class="form-control" id="insurance"></span>
  </div>
  <div id="value_table" class="d-flex justify-content-center">
    <div class="m-2">
      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle">FOB</span>
        <span class="form-control" id="fob"></span>
      </div>

      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle form-control-label">Landing
          Charges</span>
        <span class="form-control align-items-center" id="landing_charges_fob"></span>
      </div>

      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle form-control-label">Assessable Value</span>
        <span class="form-control" id="assessable_value_fob"></span>
      </div>
    </div>
    <div class="m-2">
      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle form-control-label">CIF Value</span>
        <span class="form-control" id="cif_value"></span>
      </div>

      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle form-control-label">Landing Charges</span>
        <span class="form-control" id="landing_charges_cif"></span>
      </div>

      <div class="input-group mb-4">
        <span class="input-group-text bg-warning-subtle form-control-label">Assessable Value</span>
        <span class="form-control" id="assessable_value_cif"></span>
      </div>
    </div>
  </div>
  <div class="input-group mb-4">
    <span class="input-group-text bg-warning-subtle">Duty %</span>
    <span class="form-control" id="duty"></span>
  </div>

  <div class="input-group mb-4">
    <span class="input-group-text bg-warning-subtle">SWS %</span>
    <span class="form-control" id="sws"></span>
  </div>

  <div class="input-group mb-4">
    <span class="input-group-text bg-warning-subtle">IGST %</span>
    <span class="form-control" id="igst"></span>
  </div>

  <div class="input-group mb-4">
    <span class="input-group-text bg-success text-white">Total</span>
    <span class="form-control" id="total"></span>
  </div>
</div>
</div>

<script src="./js/calc.js"></script>